summaryrefslogtreecommitdiff
path: root/app-dicts/myspell-it
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-04 06:08:51 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-04 06:08:51 +0000
commit67eeb50df06ede62d41c248c06f1b52d2aa44765 (patch)
tree4aecc708fac9d24bc38f6bb2171d0129d77afe18 /app-dicts/myspell-it
parentc36034f97880ec64b0b3bd4e1792d90b68fdd30b (diff)
downloadbaldeagleos-repo-67eeb50df06ede62d41c248c06f1b52d2aa44765.tar.gz
baldeagleos-repo-67eeb50df06ede62d41c248c06f1b52d2aa44765.tar.xz
baldeagleos-repo-67eeb50df06ede62d41c248c06f1b52d2aa44765.zip
Adding metadata
Diffstat (limited to 'app-dicts/myspell-it')
-rw-r--r--app-dicts/myspell-it/Manifest1
-rw-r--r--app-dicts/myspell-it/metadata.xml4
-rw-r--r--app-dicts/myspell-it/myspell-it-20150925.ebuild37
3 files changed, 39 insertions, 3 deletions
diff --git a/app-dicts/myspell-it/Manifest b/app-dicts/myspell-it/Manifest
index 1dcfe97d6268..ad06570888d3 100644
--- a/app-dicts/myspell-it/Manifest
+++ b/app-dicts/myspell-it/Manifest
@@ -1 +1,2 @@
DIST Dizionari.IT_20081129.oxt 1433036 BLAKE2B 0e0aa03fafa34957a00b054070de67aec3f742d4cf177c6185c8a6b8a4005ea94f4041fb2e29a0ab7fa87a7d04c5f2148f98bd446e196470104ccf1b3ad97a0c SHA512 f0576f62448d368680545a66bf99d3d44c75562a0b5bc72c9020cef707c5543182ea1f45934826970b9e3ea588b9f2e29686cd08f7b8fdddcfdbd067e6536071
+DIST myspell-it-20150925.oxt 1373663 BLAKE2B 89748d0dceca6a8f3aba7b76913693ac248f2a5c925e04b76e50f23edebd6b0194da72646837e806882ce6258784d5dfb6c212046f13315479603d953d95b769 SHA512 b48a5ac075b9a20b0370235cb4fc225c91a67e6311eb9e7a96b008ad5e64e56af3daf4b192d38d5892e8d23d5f6e0c962e35f8cfec11a97ed8708e29796e09d3
diff --git a/app-dicts/myspell-it/metadata.xml b/app-dicts/myspell-it/metadata.xml
index aa2cee7925bd..e607f7d3be48 100644
--- a/app-dicts/myspell-it/metadata.xml
+++ b/app-dicts/myspell-it/metadata.xml
@@ -9,9 +9,7 @@
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
- <upstream>
- <remote-id type="sourceforge">linguistico</remote-id>
- </upstream>
+
<origin>gentoo-staging</origin>
<stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/app-dicts/myspell-it/myspell-it-20150925.ebuild b/app-dicts/myspell-it/myspell-it-20150925.ebuild
new file mode 100644
index 000000000000..581a8f1bdb9f
--- /dev/null
+++ b/app-dicts/myspell-it/myspell-it-20150925.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MYSPELL_DICT=(
+ "it_IT.aff"
+ "it_IT.dic"
+)
+
+MYSPELL_HYPH=(
+ "hyph_it_IT.dic"
+)
+
+MYSPELL_THES=(
+ "th_it_IT_v2.dat"
+ "th_it_IT_v2.idx"
+)
+
+inherit myspell-r2
+
+DESCRIPTION="Italian dictionaries for myspell/hunspell"
+HOMEPAGE="https://extensions.libreoffice.org/en/extensions/show/italian-dictionary-thesaurus-hyphenation-patterns"
+SRC_URI="https://extensions.libreoffice.org/assets/downloads/z/874d181c_dict-it.oxt -> ${P}.oxt"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+DOCS=( CHANGELOG.txt desc_en.txt desc_it.txt it_IT_notes.txt it_IT_README.txt README_hyph_it_IT.txt README.txt )
+
+src_prepare() {
+ default
+ # remove useless license files.
+ rm -r ico.png it_IT_COPYING thes_gpl.txt th_it_IT_COPYING it_IT_todo.txt \
+ th_it_IT_Lingua.png th_it_IT_Linguistica-Modifica.png th_it_IT_sinonimi.jpg || die
+}